package com.platform.utils.page;

/** 分页实体
 * @author chen
 *
 */
public class Page {
	/**  当前是第几页   （当前页）  */
	private int currentPageNum = 1;
	
	/**  每页显示多少条   （当前页前面已有多少条数据：一次查询返回记录条数）*/
	private int limit = 20;
	
	/**  总共的数据量  */
    private int totleSize;  
    
    /**  共有多少页   */
    private int totlePage;

	/**
	 * @return the currentPageNum
	 */
	public int getCurrentPageNum() {
		return currentPageNum;
	}

	/**
	 * @param currentPageNum the currentPageNum to set
	 */
	public void setCurrentPageNum(int currentPageNum) {
		this.currentPageNum = currentPageNum;
	}

	/**
	 * @return the limit
	 */
	public int getLimit() {
		return limit;
	}

	/**
	 * @param limit the limit to set
	 */
	public void setLimit(int limit) {
		this.limit = limit;
	}

	/**
	 * @return the totleSize
	 */
	public int getTotleSize() {
		return totleSize;
	}

	/**
	 * @param totleSize the totleSize to set
	 */
	public void setTotleSize(int totleSize) {
		this.totleSize = totleSize;
	}

	/**
	 * @return the totlePage
	 */
	public int getTotlePage() {
		return totlePage;
	}

	/**
	 * @param totlePage the totlePage to set
	 */
	public void setTotlePage(int totlePage) {
		this.totlePage = totlePage;
	}  
    
}
